NisusWrtTextInternal::Zone Struct Reference

internal structure used to store zone data More...

## Public Types

typedef std::multimap< NisusWrtStruct::Position, DataPLC, NisusWrtStruct::Position::Compare > | PLCMap

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

MWAWEntry | m_entry
| the position of text in the rsrc file
std::vector< Paragraph > | m_paragraphList
| the list of paragraph
std::vector< PicturePara > | m_pictureParaList
| the list of paragraph
PLCMap | m_plcMap
| the map pos -> format id

## Detailed Description

internal structure used to store zone data

## Member Typedef Documentation

## PLCMap

typedef std::multimap<NisusWrtStruct::Position, DataPLC, NisusWrtStruct::Position::Compare> NisusWrtTextInternal::Zone::PLCMap

## Constructor & Destructor Documentation

## Zone()

NisusWrtTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_entry

MWAWEntry NisusWrtTextInternal::Zone::m_entry

the position of text in the rsrc file

Referenced by Zone().

## m_paragraphList

std::vector<Paragraph> NisusWrtTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by Zone().

## m_pictureParaList

std::vector<PicturePara> NisusWrtTextInternal::Zone::m_pictureParaList

the list of paragraph

Referenced by Zone().

## m_plcMap

PLCMap NisusWrtTextInternal::Zone::m_plcMap

the map pos -> format id

Referenced by NisusWrtText::readPosToFont(), and Zone().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx